@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@300&display=swap");

* {
  box-sizing: border-box;
}

body {
  font-family: "Montserrat", sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  margin: 0;
  background-color: rgb(33, 50, 68);
}
.title {
  background-color: silver;
  opacity: 0.9;
  text-align: center;
  border-radius: 1rem;
}

.container {
  padding: 10px 45px;
  border-radius: 1rem;
  border: 2px solid white;
  margin: 25px;
  background-color: rgba(16, 97, 134, 0.685);
}

h1 {
  letter-spacing: 2px;
  margin: 0;
  margin: 40px  70px;
  text-transform: uppercase;
}

h3 {
  border-bottom: 1px solid rgb(255, 254, 254);
  padding-bottom: 5px;
  margin-bottom: 12px;
  text-align: center;
  color: rgb(255, 255, 255);
}

h4 {
  margin: 0;
  text-transform: uppercase;
  color: azure;
}
#balance {
  color: azure;
}

.income-expense {
  background-color: rgba(216, 230, 236, 0.761);
  display: flexbox;
  justify-content: space-between;
  margin: 20px 0;
  padding: 20px;
  border-radius: 2rem;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.7),
    0 10px 10px rgba(0, 0, 0, 0.629);
}

.income-expense > div {
  flex: 1;
  text-align: center;
}

.income,
.expense,
#balance {
  font-size: 22px;
  letter-spacing: 2px;
  margin: 4px 0;
  font-weight: bolder;
}

.income {
  color: green;
}
.expense {
  color: #c34234d3;
}
#balance {
  color: rgb(72, 90, 255);
}
.bg-dark {
  background-color: rgb(0, 0, 0);
  margin: 0 20px;

  border-radius: 3px;
}

input[type="text"],
input[type="number"] {
  border: 1px solid silver;
  border-radius: 1rem;
  display: block;
  padding: 5px;
  width: 100%;
  font-size: 16px;
  outline: none;
  box-shadow: 1px 2px 1px #8e2b2b;
}
label {
  display: inline-block;
  margin: 10px 0;
  font-weight: bolder;
}

.btn {
  width: 100%;
  margin-top: 30px;
  padding: 8px 0;
  border-radius: 1rem;
  outline: none;
  background-color: steelblue;
  color: whitesmoke;
  letter-spacing: 3px;
  text-transform: uppercase;
  font-size: 12px;
}
.btn:hover {
  color: steelblue;
  background-color: whitesmoke;
}

.delete-btn {
  background-color: rgb(139, 192, 235);
  border-radius: 1rem;
  outline: none;
  float: right;
  margin-right: 5px;
  width: 25px;
  height: 25px;
}

#text:focus,
#amount:focus {
  width: 110%;
  transition: 0.5s;
  border-bottom: 2px solid steelblue;
  border-right: 2px solid steelblue;
}

ul {
  list-style: none;
  display: inline;
}
ul li {
  font-weight: bolder;
  font-size: 21px;
}

.fa {
  color: steelblue;
}
.fa:hover {
  transform: rotate(20deg);
}

#error_msg {
  color: red;
  background-color: rgb(224, 189, 183);
  font-weight: bolder;
  padding: 0 10px;
  border-radius: 1rem;
}

.list {
  color: azure;
}

.moins,
.plus {
  margin-bottom: 10px;
  border-bottom: 1px solid rgba(177, 177, 177, 0.628);
}
.minus:hover,
.plus:hover {
  background-color: rgb(114, 114, 114);
  cursor: pointer;
}
footer {
  text-align: center;
  font-weight: bolder;
  color: white;
}
footer a {
  color: rgb(86, 184, 197);
}